> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minestorecms.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorization

> Validate the provided username and return an authentication token if valid.



## OpenAPI

````yaml POST /auth/username
openapi: 3.0.0
info:
  title: MineStoreCMS REST API
  description: Documentation for MineStoreCMS Frontend REST API.
  version: 3.8.7
servers:
  - url: https://v3.minestorecms.com/api
    description: Example URL of Demo Server
security: []
tags: []
paths:
  /auth/username:
    post:
      tags:
        - auth
      summary: Authenticate user by username
      description: >-
        Validate the provided username and return an authentication token if
        valid.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                username:
                  type: string
                  description: The username to authenticate
              required:
                - username
              example:
                username: xMarkus
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: string
                description: The authentication token (40 digits).
                example: eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ94343
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: string
                description: Error message indicating incorrect username format
                example: Incorrect username!
        '401':
          description: (Unauthorized) Invalid or missing Access Token
      deprecated: false

````